mviewer.customControls.sirene_bretagne = (function () {
    return {
        init: function () {
            // capter le changement de département
            document.getElementById("sirene-list").addEventListener("change", function(e){
                // ouvrez la console du navigateur, l'onglet "console" et voir la valeur à chaque changement dans la liste
                console.log(e.target.value);
                // Calcule de la nouvelle URL
                let url = "https://ows.region-bretagne.fr/geoserver/rb/wfs?SERVICE=WFS&REQUEST=GetCapabilities&request=GetFeature&service=WFS&version=1.1.0&typeName=sirene_bretagne&outputFormat=application/json";
                let cql = "CQL_FILTER=" + e.target.value;
                // Modifier l'URL de la couche cluster (on change la source du cluster >> Spécifique au cluster !!)
                mviewer.getLayer("sirene_bretagne").layer.getSource().getSource().setUrl(url + "&" +cql);
                // On met à jour la couche et l'affichage sur la carte
                mviewer.getLayer("sirene_bretagne").layer.getSource().getSource().refresh();
            });

            // capter le changement de style
            document.getElementById("style-list").addEventListener("change", function(e){
                // On met à jour la couche et l'affichage sur la carte
                mviewer.getLayer("sirene_bretagne").layer.getSource().getSource().refresh();
            })
        },
        destroy: function () {
        }
    };
}());
